NAME
	filter - filter an array or mapping through a function

SYNTAX
	#include <array.h>

	mixed *filter(mixed arr,function fun,mixed ... args);
	or
	mixed *filter(object *arr,string fun,mixed ... args);
	or
	mixed *filter(function *arr,-1,mixed ... args);

DESCRIPTION
	First syntax:
	Filter array returns an array holding the items of arr for which
	fun returns true.

	Second syntax:
	Filter array calls fun in all the objects in the array arr, and
	return all objects that returned true.

	Third syntax:
	Filter array calls all functionpointers in the array arr, and
	return all that returned true.

KEYWORDS
	array

SEE ALSO
	sum_arrays, map
